=== modified file 'docs/conf.py'
--- docs/conf.py	2011-02-13 20:50:37 +0000
+++ docs/conf.py	2011-02-26 15:19:32 +0000
@@ -25,7 +25,7 @@
 
 # Add any Sphinx extension module names here, as strings. They can be extensions
 # coming with Sphinx (named 'sphinx.ext.*') or your custom ones.
-extensions = ['sphinx.ext.intersphinx', 'sphinx.ext.todo', 'sphinx.ext.coverage']
+extensions = ['sphinx.ext.intersphinx', 'sphinx.ext.todo', 'sphinx.ext.coverage', 'pyext.options']
 
 # Add any paths that contain templates here, relative to this directory.
 templates_path = ['_templates']

=== modified file 'docs/include.am'
--- docs/include.am	2011-02-25 17:02:30 +0000
+++ docs/include.am	2011-02-26 15:19:32 +0000
@@ -15,6 +15,8 @@
 	     docs/plugins/mysql_protocol/index.rst \
 	     docs/plugins/transaction_log/index.rst \
 	     docs/plugins/slave/index.rst \
+	     docs/pyext/__init__.py \
+	     docs/pyext/options.py \
 	     docs/_static/drizzle.ico \
 	     ${top_srcdir}/docs/*.rst \
 	     ${top_srcdir}/docs/clients/*.rst \
@@ -70,12 +72,12 @@
 	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
 
 html-local:
-	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(SPHINX_BUILDDIR)/html
+	PYTHONPATH=${top_srcdir}/docs $(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(SPHINX_BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(SPHINX_BUILDDIR)/html."
 
 dirhtml:
-	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(SPHINX_BUILDDIR)/dirhtml
+	PYTHONPATH=${top_srcdir}/docs $(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(SPHINX_BUILDDIR)/dirhtml
 	@echo
 	@echo "Build finished. The HTML pages are in $(SPHINX_BUILDDIR)/dirhtml."
 

=== added directory 'docs/pyext'
=== added file 'docs/pyext/__init__.py'
=== added file 'docs/pyext/options.py'
--- docs/pyext/options.py	1970-01-01 00:00:00 +0000
+++ docs/pyext/options.py	2011-02-26 15:19:32 +0000
@@ -0,0 +1,25 @@
+#  Copyright (C) 2011 Monty Taylor
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; version 2 of the License.
+#
+#  This program is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+#
+#  You should have received a copy of the GNU General Public License
+#  along with this program; if not, write to the Free Software
+#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+
+import re
+try:
+  from sphinx.domains import std
+  std.option_desc_re = re.compile(
+      r'((?:/|-|--)[-_a-zA-Z0-9\.]+)(\s*.*?)(?=,\s+(?:/|-|--)|$)')
+except:
+  pass
+
+def setup(app):
+  pass

